## latex2html 2002-2-1+jp+dennou-2

=== Makefile ===
# Generated automatically from Makefile.in by configure.
# $Id: Makefile.in,v 1.9 1999/10/25 21:18:21 MRO Exp $
# Makefile for LaTeX2HTML.
# Copyright (C) 1997 Marek Rouchal <marek@saftsack.fs.uni-bayreuth.de>

# Generated automatically from Makefile.in by configure.

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
# 02111-1307, USA.

#### Start of system configuration section. ####

DISTVER = 2002-2-1
srcdir = /GFD_Dennou_Club/ftp/arch/cc-env/latex2html/latex2html_2002-2-1+jp+dennou/latex2html-2002-2-1

PERL = /usr/bin/perl
PLAT = unix
AUTOCONF = autoconf

# All programs
SCRIPTS = latex2html texexpand pstoimg

# Modules
MODULES = l2hconf.pm

# for dependencies
wrappers = wrapper/dos.pin wrapper/macos.pin wrapper/os2.pin \
        wrapper/unix.pin wrapper/win32.pin

# Switch for Perl Warnings; should always be on
# temporary solution until latexhtml is cleaned up
PERLW =# -w

#### End of system configuration section. ####

# Placeholder for additional arguments
ARGS=#

SHELL = /bin/sh

# Files that can be generated, but should be up to date for a distribution.
DISTDEP = configure Makefile MANIFEST

buildcmd = config/build.pl
BUILDOPT=# nothing special, but -devel is a good idea!
TESTCASE=l2htest# can be overridden on the command line
installcmd = config/install.pl
cfgfile = cfgcache.pm

all: ${SCRIPTS} ${MODULES}

devel:
	${MAKE} all BUILDOPT=-devel

# .SUFFIXES:

pstoimg:  ${cfgfile} ${srcdir}/${buildcmd} pstoimg.pin ${wrappers}
	${PERL} ${srcdir}/${buildcmd} -x ${BUILDOPT} $@
	touch pstoimg

latex2html:  ${cfgfile} ${srcdir}/${buildcmd} latex2html.pin ${wrappers}
	${PERL} ${srcdir}/${buildcmd} -x ${BUILDOPT} $@
	touch latex2html

texexpand:  ${cfgfile} ${srcdir}/${buildcmd} texexpand.pin ${wrappers}
	${PERL} ${srcdir}/${buildcmd} -x ${BUILDOPT} $@
	touch texexpand

${cfgfile}: config.status

l2hconf.pm: ${cfgfile} ${srcdir}/${buildcmd} l2hconf.pin
	${PERL} ${srcdir}/${buildcmd} ${BUILDOPT} $@
	touch l2hconf.pm

test: all
	LATEX2HTMLDIR=${srcdir}; export LATEX2HTMLDIR ; \
	latex2html='' ; \
	for file in latex2html bin/latex2html* bin/${PLAT}/latex2html*; do \
	  test -s $$file && latex2html=$$file break ; \
	done ; \
	if test -n "$$latex2html"; then \
	  echo "*** Running test on $$latex2html"; \
	  cd tests ; ${PERL} ../$$latex2html -test_mode ${ARGS} ${TESTCASE} ; \
	fi

test_clean:
	cd tests ; \
	for i in *.tex ; do \
	  dir=`basename $$i .tex` ; \
	  rm -rf $$dir ; \
	done ; \
	rm -f *.aux *.dvi *.log

test_pstoimg: pstoimg
	@LATEX2HTMLDIR=${srcdir}; export LATEX2HTMLDIR ; \
	pstoimg='' ; \
	for file in pstoimg bin/pstoimg* bin/${PLAT}/pstoimg*; do \
	  test -s $$file && pstoimg=$$file break ; \
	done ; \
	if test -n "$$pstoimg"; then \
	  echo "*** Running test: $$pstoimg ${ARGS}"; \
	  ${PERL} $$pstoimg ${ARGS} ; \
	fi

texlive: texlive.pm
	cp texlive.pm ${cfgfile}
	${MAKE} all

check: all
	LATEX2HTMLDIR=${srcdir}; export LATEX2HTMLDIR ; \
	for file in versions/*.pl styles/*.perl; do \
	  ${PERL} ${PERLW} -c $$file || exit 1; \
	done ; \
	for file in ${SCRIPTS} ${MODULES}; do \
	  test -s $$file && ( ${PERL} ${PERLW} -c $$file || exit 1 ); \
	  test -s $$file.pl && ( ${PERL} ${PERLW} -c $$file.pl || exit 1 ); \
	done ; \
	exit 0

install: all
	${PERL} ${installcmd}

# Don't cd, to avoid breaking install-sh references.

${srcdir}/configure:
	cd ${srcdir} && \
	${AUTOCONF}

Makefile: Makefile.in config.status
	./config.status

config.status: ${srcdir}/configure config/config.pl
	./config.status --recheck

clean mostlyclean distclean:: test_clean
	rm -f ${SCRIPTS} ${MODULES} *.tmp *.bak *.pl
	rm -fr bin

distclean::
	rm -f Makefile config.status config.cache config.log ${cfgfile}
	rm -f test.bat install.bat

MANIFEST:
	${PERL} make_manifest \
	  -x configure.in \
	  -x make_manifest \
	> MANIFEST

# Create a distribution based on the MANIFEST file
dist: ${DISTDEP}
	distname=latex2html-${DISTVER} ; \
	rm -fr $$distname; \
	mkdir $$distname; \
	for item in `cat MANIFEST`; do \
	  test -d $$item && mkdir $$distname/$$item; \
	  test -f $$item && ( \
	    ln $$item $$distname/$$item || \
	    { echo copying $$item instead; cp -p $$item $$distname/$$item;}; \
	  ) ; \
	done; \
	chmod -R u+rw,go-w+rX $$distname; \
	tar -chz -f $$distname.tar.gz $$distname; \
	rm -fr $$distname

# Create a zipped dist
zipdist: ${DISTDEP}
	distname=latex2html-${DISTVER} ; \
	rm -fr $$distname; \
	mkdir $$distname; \
	for item in `cat MANIFEST`; do \
	  test -d $$item && mkdir $$distname/$$item; \
	  test -f $$item && ( \
	    ln $$item $$distname/$$item || \
	    { echo copying $$item instead; cp -p $$item $$distname/$$item;}; \
	  ) ; \
	done; \
	chmod -R u+rw,go-w+rX $$distname; \
	zip -r -y $$distname.zip $$distname; \
	rm -fr $$distname

# no comment...
love:
	@echo "...not war!"

=== docs/Makefile ===
#
#  Makefile  for the...
#
#    LaTeX2HTML  documentation & User Manual
#
#  by  Ross Moore <ross@mpce.mq.edu.au>
#  and  Herb Swan <dprhws@edp.Arco.COM>
#
#  20 April 1996
#
#  modified for v97.1 by  Ross Moore
#
#  10 July 1997
#

#
# These are the usual calls to application programs
#
DVIPS = dvips
LATEX = latex
MAKEINDEX = makeindex
BIBTEX = bibtex

# L2H = latex2html  -no_math -html_version 3.2,math -scalable_fonts 
L2H = latex2html  -no_math -html_version 3.2,math 


#
# ... however some TeX installations require more,
# to set path-variables before calling other scripts.
# For example...
#
TEXMF = /usr/local/texmf

LATEXINPUTDIR = $(TEXMF)/tex/latex//
PKFONTDIR = $(TEXMF)/fonts/public//pk/cx//
BSTINPUTS = $(TEXMF)/bibtex/bst

#DVIPS     = PKFONTS=.:$(TEXMF)/fonts/public//pk/cx// $(TEXMF)/bin/dvips
#LATEX     = TEXFONTS=.:$(PKFONTDIR):$$TEXFONTS;TEXINPUTS=.:$(LATEXINPUTDIR);latex
#BIBTEX    = set BSTINPUTS .:$(BSTINPUTS);bibtex



TOP	= manual
LIC	= licence
CRE	= credits
DAT	= l2hfiles.dat
OVW	= overview
SUP	= support
ENV	= features
HYP	= hypextra
MAN	= userman
PRO	= problems
CHA	= changes
INT	= internals.pl
IND	= index.pl
FIG	= figure.pl
TAB	= table.pl
TOPTITLE  = "LaTeX2HTML"
S1TITLE	  = "Overview"
S2TITLE	  = "Installation"
#S3TITLE	  = "User_Manual"
S3TITLE	  = "Environments_and_Special_Features"
S4TITLE   = "Hypertext_Extensions"
#S5TITLE   = "Features"
S5TITLE   = "Customising_the_Layout"
S6TITLE   = "Problems"
S7TITLE   = "Changes"
CHGTITLE   = "Changes"
CONTENTS = "node6"
CHGNODE = "node8"
REFNODE = "node9"
GLOSSNODE = "node10"
INDEXNODE = "node11"
BIBLIO	= "Bibliography"
GLOSS	= "Glossary"



COMMON	  = -external_file $(TOP) -dir $(TOP) -info 0 -short_index \
		-contents $(CONTENTS).html -index $(INDEXNODE).html \
		-biblio $(REFNODE) -no_auto_link -no_footnode \
		-split 6 -link 6 -up_url $(TOP).html -up_title $(TOPTITLE)

LTOP	  =  -short_index -split 4 -link 5\
		 -t $(TOPTITLE) $(TOP).tex

LSEC1	  = $(COMMON) -prefix O  \
		-prev_url $(TOP).html -prev_title $(TOPTITLE) \
		-down_url $(SUP).html -down_title $(S2TITLE)  $(OVW).tex 

LSEC2	  = $(COMMON) -prefix S  -debug \
		-prev_url $(OVW).html -prev_title $(S1TITLE) \
		-down_url $(ENV).html -down_title $(S3TITLE)  $(SUP).tex 

#		-down_url $(MAN).html -down_title $(S3TITLE)  $(SUP).tex 

LSEC3	  = $(COMMON) -prefix E \
		-prev_url ../$(TOP)/$(SUP).html -prev_title $(S2TITLE) \
		-down_url ../$(TOP)/$(HYP).html -down_title $(S4TITLE)  $(ENV).tex 

#		-down_url ../$(TOP)/$(HYP).html -down_title $(S4TITLE)  $(MAN).tex 

LSEC4	  = $(COMMON) -prefix H \
		-prev_url ../$(TOP)/$(ENV).html -prev_title $(S3TITLE) \
		-down_url ../$(TOP)/$(MAN).html -down_title $(S5TITLE)  $(HYP).tex 

#		-prev_url ../$(TOP)/$(MAN).html -prev_title $(S3TITLE) \
#		-down_url ../$(TOP)/$(FEA).html -down_title $(S5TITLE)  $(HYP).tex 

LSEC5	  = $(COMMON) -prefix M \
		-prev_url ../$(TOP)/$(HYP).html -prev_title $(S4TITLE) \
		-down_url ../$(TOP)/$(PRO).html -down_title $(S6TITLE)  $(MAN).tex 

#		-down_url ../$(TOP)/$(PRO).html -down_title $(S6TITLE)  $(FEA).tex 

LSEC6	  = $(COMMON) -prefix P \
		-prev_url ../$(TOP)/$(MAN).html -prev_title $(S5TITLE) \
		-down_url ../$(TOP)/$(REFNODE).html -down_title $(BIBLIO)  $(PRO).tex 

#		-prev_url ../$(TOP)/$(FEA).html -prev_title $(S5TITLE) \

#		-down_url ../$(TOP)/$(CHGNODE).html -down_title $(CHGTITLE)  $(PRO).tex 


LSEC7	  = $(COMMON) -prefix C -dir $(TOP)  -info 0  \
		-prev_url ../$(TOP)/$(PRO).html -prev_title $(S6TITLE) \
		-down_url ../$(TOP)/$(GLOSSNODE).html -down_title $(GLOSS)  $(CHA).tex 


#
#  dvi- and  PostScript versions
#

manual.ps:      manual.cb
	$(DVIPS) manual.dvi -o $@

manual.aux manual.cb: manual.tex credits.tex licence.tex overview.tex \
	    support.tex userman.tex hypextra.tex features.tex \
	    problems.tex l2hfiles.dat  manhtml.tex l2hman.sty
	$(LATEX) manual.tex

manual.glo manual.idx: manual.tex credits.tex licence.tex overview.tex \
	    support.tex userman.tex hypextra.tex features.tex \
	    problems.tex l2hfiles.dat  manhtml.tex l2hman.sty
	$(LATEX) manual.tex

manual.dvi:     manual.aux manual.ind manual.gls
	$(LATEX) manual.tex

manual.ind:     manual.idx
	$(MAKEINDEX) -s l2hidx.ist manual.idx

manual.gls:     manual.glo l2hglo.ist
	$(MAKEINDEX) -o $@ -s l2hglo.ist manual.glo

manual.bbl:	manual.aux
	$(BIBTEX) manual




$(TOP).html: $(TOP).aux
	$(MAKE) fresh


fresh:
	$(L2H) $(LTOP);
	$(L2H) $(LSEC3); $(L2H) $(LSEC4);
	$(L2H) $(LSEC5);
	$(L2H) $(LSEC2);
	$(L2H) $(LSEC6);
	$(L2H) $(LSEC1);
	$(L2H) $(LSEC3); $(L2H) $(LSEC4);
	$(L2H) $(LTOP);
	touch $(TOP)/[HEMPSO]$(INT) $(TOP)/$(INT);
	touch [HEMPSO].stamp $(TOP).stamp;

html:
	$(MAKE) $(TOP).stamp;
	$(MAKE) E.stamp; $(MAKE) H.stamp;
	$(MAKE) M.stamp;
	$(MAKE) S.stamp;
	$(MAKE) P.stamp;
	$(MAKE) O.stamp;
	$(MAKE) E.stamp; $(MAKE) H.stamp;
	$(MAKE) $(TOP).stamp;


twosteps:
	if test -f "manual/images.log"; then  \
	rm -f manual/images.log; \
	make noimages; make images;  fi ;

noimages:
	$(L2H) -short_index -no_images manual.tex

images:
	$(L2H) -short_index -images_only manual.tex

htmlclean:
	rm -f manual/.??* manual/*TMP* 

clean:
	rm -f manual.dvi manual.ps manual.glo manual.log manual.aux \
	    manual.ilg manual.lof manual.lot manual.cb manual.idx \
	    manual.toc 


#
#  HTML version, as a segmented document
#

$(TOP).stamp:	$(TOP).tex  \
	$(TOP)/O$(INT) $(TOP)/H$(INT) $(TOP)/E$(INT) $(TOP)/M$(INT) $(TOP)/P$(INT) $(TOP)/S$(INT)
	$(L2H) $(LTOP)
	touch $@

$(TOP)/$(TOP).html:	$(TOP).stamp O.stamp S.stamp M.stamp H.stamp E.stamp P.stamp
	$(L2H) $(LTOP)
	$(MAKE) htmlclean

$(TOP)/$(INT):	$(TOP).tex
	$(L2H) $(LTOP)


$(TOP)images:
	$(L2Hon) $(LTOP)


sections:
	$(L2H) $(LSEC4);
	$(L2H) $(LSEC6);
	$(L2H) $(LSEC5);
	$(L2H) $(LSEC1);
	$(L2H) $(LSEC2);
	$(L2H) $(LSEC3);


$(TOP)/$(OVW).html:	$(OVW).tex $(TOP)/$(INT) \
		$(TOP)/H$(INT) $(TOP)/E$(INT) $(TOP)/M$(INT) $(TOP)/P$(INT) $(TOP)/S$(INT)
	$(MAKE)	O.stamp

$(OVW):
	$(L2H) $(LSEC1)


O.stamp:	$(OVW).tex
	$(L2H) $(LSEC1)
	touch $@

$(TOP)/O$(INT):
	$(L2H) $(LSEC1)



$(TOP)/$(SUP).html:	$(SUP).tex $(TOP)/$(INT) \
			$(TOP)/H$(INT) $(TOP)/E$(INT) $(TOP)/M$(INT)
	$(MAKE)	S.stamp

$(SUP):
	$(L2H) $(LSEC2)

S.stamp:	$(SUP).tex $(TOP)/$(INT) 
	$(L2H) $(LSEC2)
	touch $@

$(TOP)/S$(INT):
	$(L2H) $(LSEC2)



$(TOP)/$(MAN).html:	$(MAN).tex $(TOP)/$(INT) $(TOP)/H$(INT) $(TOP)/E$(INT)
	$(MAKE)	M.stamp

$(MAN):
	$(L2H) $(LSEC5)

M.stamp:	$(MAN).tex $(TOP)/$(INT) 
	$(L2H) $(LSEC5)
	touch $@

$(TOP)/M$(INT):
	$(L2H) $(LSEC5)



$(TOP)/$(HYP).html:	$(HYP).tex $(TOP)/$(INT) $(TOP)/M$(INT) $(TOP)/E$(INT) $(TOP)/O$(INT)
	$(MAKE)	H.stamp

$(HYP):
	$(L2H) $(LSEC4)

H.stamp:	$(HYP).tex $(TOP)/$(INT)
	$(L2H) $(LSEC4)
	touch $@

$(TOP)/H$(INT):
	$(L2H) $(LSEC4)



$(TOP)/$(ENV).html:	$(ENV).tex $(TOP)/$(INT) $(TOP)/M$(INT) $(TOP)/H$(INT) $(TOP)/S$(INT)
	$(MAKE)	E.stamp

$(ENV):
	$(L2H) $(LSEC3)

E.stamp:	$(ENV).tex $(TOP)/$(INT)
	$(L2H) $(LSEC3)
	touch $@

$(TOP)/E$(INT):
	$(L2H) $(LSEC3)



$(TOP)/$(PRO).html:	$(PRO).tex $(TOP)/$(INT) \
		$(TOP)/M$(INT) $(TOP)/H$(INT) $(TOP)/S$(INT) $(TOP)/E$(INT)
	$(MAKE)	P.stamp

$(PRO):
	$(L2H) $(LSEC6)

P.stamp:	$(PRO).tex $(TOP)/$(INT)
	$(L2H) $(LSEC6)
	touch $@

$(TOP)/P$(INT):
	$(L2H) $(LSEC6)



$(TOP)/$(CHA).html:	$(CHA).tex $(TOP)/$(INT)
	$(MAKE)	C.stamp

$(CHA):
	$(L2H) $(LSEC7)

C.stamp:	$(CHA).tex $(TOP)/$(INT)
	$(L2H) $(LSEC7)
	touch $@

$(TOP)/C$(INT):
	$(L2H) $(LSEC7)

=== debian/changelog ===
latex2html (2002-2-1+jp+dennou-2) unstable; urgency=low

  * Patch for D6prog.pl. is applied.

 -- Odaka Masatsugu <odakker@gfd-dennou.org>  Tue,  5 Apr 2005 18:58:37 +0900

latex2html (2002-2-1+jp+dennou-1) unstable; urgency=low

  * Japanese patch l2h-2002-2-1+jp1.8.patch.gz is applied.
  * Style files for Dennou.sty, Dennou6.sty are added.

 -- SUGIYAMA Ko-ichiro <sugiyama@gfd-dennou.org>  Mon,  4 Oct 2004 11:56:09 +0900

=== debian/control ===
Source: latex2html
Section: tex
Priority: optional
Maintainer: SUGIYAMA Ko-ichiro <sugiyama@gfd-dennou.org>
Standards-Version: 2002-2-1
Build-Depends: debmake

Package: latex2html
Architecture: all
Depends: perl, netpbm (>= 2:9.20), gs, tetex-bin (>= 1.0.7+20001218), tetex-extra
Description:LaTeX to HTML translator (with JP patch).
 This package is a LATEX2HTML with some extensions for Japanese, Dennou.sty
 and Dennou6.sty.

=== debian/rules ===
#!/usr/bin/make -f

# set the dpkg-architecture vars
export DEB_BUILD_ARCH      := $(shell dpkg-architecture -qDEB_BUILD_ARCH)
export DEB_BUILD_GNU_CPU   := $(shell dpkg-architecture -qDEB_BUILD_GNU_CPU)
export DEB_BUILD_GNU_SYSTEM:= $(shell dpkg-architecture -qDEB_BUILD_GNU_SYSTEM)
export DEB_BUILD_GNU_TYPE  := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
export DEB_HOST_ARCH       := $(shell dpkg-architecture -qDEB_HOST_ARCH)
export DEB_HOST_GNU_CPU    := $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
export DEB_HOST_GNU_SYSTEM := $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)
export DEB_HOST_GNU_TYPE   := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)


#
# VERSION=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Version: | \
#                          sed 's/^Version: *//')
#

FILES_TO_CLEAN = debian/files debian/buildinfo debian/substvars        \
                 latex2html.bak

STAMPS_TO_CLEAN = stamp-configure stamp-build stamp-binary
DIRS_TO_CLEAN   = debian/tmp  docs/manual
thisdir         =$(shell pwd)

install_file   = /usr/bin/install -p    -o root -g root  -m 644
install_program= /usr/bin/install -p    -o root -g root  -m 755
install_game   = /usr/bin/install -p    -o root -g games -m 2755
make_directory = /usr/bin/install -p -d -o root -g root  -m 755

package = $(shell grep Source debian/control | sed 's/^Source: //')

CC          := gcc
CFLAGS      := -O2
LDFLAGS     := -s
PERL        := /usr/bin/perl
PREFIX      := /usr
BINDIR      := $(PREFIX)/bin
LIBDIR      := $(PREFIX)/share/latex2html
ICONPATH    := $(PREFIX)/share/latex2html/icons
ICONSTORAGE := /var/www/$(ICONPATH)

# Location of the source dir
SRCTOP := $(shell if [ "$$PWD" != "" ]; then echo $$PWD; else pwd; fi;)
TMPTOP         := $(SRCTOP)/debian/tmp
DOCDIR 	       := $(TMPTOP)/usr/share/doc/$(package)
DOCBASE        := $(TMPTOP)/usr/share/doc-base
MANDIR         := $(TMPTOP)/usr/share/man/man1
OLDSHADOWDIR   := $(TMPTOP)/var/www/usr/lib
SHADOW_DIR     := $(TMPTOP)/var/www/usr/share/$(package)/
SHADOW_ICONDIR := $(TMPTOP)/var/www/usr/share/$(package)/icons

CONVERT_CMD:= '../latex2html -test_mode -no_math -html_version 4.0,math,frame -accent_images textrm -scalable_fonts'
all build: stamp-build
stamp-build:
	$(checkdir)
	rm -f texinputs/url.sty
	cd docs && ln -sf ../texinputs/html*.sty .
	-test -f stamp-configure || $(MAKE) -f debian/rules configure
	$(MAKE)
	mkdir -p docs/manual
	$(MAKE) -C docs  -f Makefile.frames \
              L2H=$(CONVERT_CMD) \
	      LATEX2HTMLDIR=$(SRCTOP) manual.dvi;
	$(MAKE) -C docs  -f Makefile.frames \
              L2H=$(CONVERT_CMD) \
	      LATEX2HTMLDIR=$(SRCTOP) manual.ps;
	$(MAKE) -C docs  -f Makefile.frames \
              L2H=$(CONVERT_CMD) \
	      LATEX2HTMLDIR=$(SRCTOP) manual.html ;
	dpkg -l gcc perl dpkg 'libc*' binutils ldso make dpkg-dev |\
         awk '$$1 == "ii" { printf("%s-%s\n", $$2, $$3) }' > \
          debian/buildinfo
	touch stamp-build

configure: stamp-configure

stamp-configure:
	$(checkdir)
	./configure --verbose --prefix=$(PREFIX) \
	            --shlibdir=$(LIBDIR) \
                    --libdir=$(LIBDIR) \
                    --with-perl=$(PERL) \
                    --with-iconpath=$(ICONPATH) \
                    --with-iconstorage=$(ICONSTORAGE) \
                     && touch stamp-configure

clean:
	$(checkdir)
	rm -f  $(FILES_TO_CLEAN) $(STAMPS_TO_CLEAN) docs/html*.sty
	rm -rf $(DIRS_TO_CLEAN)
	-$(MAKE) -C docs clean #htmlclean
	-$(MAKE) distclean
	rm -f core `find . \( -name '*.orig' -o -name '*.rej' -o \
	  -name '*~' -o -name '*.bak' -o -name '#*#' -o \
	  -name '.*.orig' -o -name '.*.rej' -o -name '.SUMS' -o \
	  -size 0 \) -print` TAGS .log

binary-indep:	build stamp-binary

binary-arch: build

stamp-binary:
	@test 0 = $$(id | sed -e 's/(.*$$//' -e 's/^uid=//') || \
		(echo need root priviledges; exit 1)
	$(checkdir)
	test -f stamp-build ||	$(MAKE) -f debian/rules build
	-rm -rf			$(TMPTOP)
	$(make_directory)	$(DOCDIR)/html
	$(make_directory)       $(MANDIR)
	$(make_directory)	$(DOCBASE)
	$(make_directory)       $(SHADOW_ICONDIR)
	$(make_directory)       $(OLDSHADOWDIR)
	$(make_directory)	$(TMPTOP)/DEBIAN
	$(make_directory)	$(TMPTOP)/etc
	$(install_file)		debian/changelog     $(DOCDIR)/changelog.Debian
	$(install_file)		debian/README.Debian $(DOCDIR)/README.Debian
	$(install_file)         debian/buildinfo     $(DOCDIR)/buildinfo.Debian
	$(MAKE)                 install DESTDIR=$(TMPTOP) INSTALLING_DEBIAN=1
	(cd $(OLDSHADOWDIR);    ln -s ../share/$(package) .)
	#(cd $(TMPTOP)/$(LIBDIR)/docs; $(MAKE) clean htmlclean)
	(cd $(TMPTOP)/$(LIBDIR); \
            mv l2hconf.pm       $(TMPTOP)/etc/latex2html.conf; \
            ln -s               /etc/latex2html.conf l2hconf.pm )
	(cd $(SHADOW_ICONDIR);  rm -f *)
	$(install_file)         dot.latex2html-init    $(DOCDIR)/
	$(install_file)         Changes    	       $(DOCDIR)/
	$(install_file)         docs/manual.dvi        $(DOCDIR)/
	$(install_file)         docs/manual.ps         $(DOCDIR)/
	$(install_file)         README*                $(DOCDIR)/
##	$(install_file)         latex2html.1           $(MANDIR)
##	$(install_file)         texexpand.1            $(MANDIR)
	pod2man pstoimg         > $(MANDIR)/pstoimg.1
	-gzip -9fvr		$(DOCDIR)
	-gzip -9fvr		$(MANDIR)
	(cd $(DOCDIR);          ln -s Changes.gz       changelog.gz;)
	$(install_file)         debian/copyright       $(DOCDIR)/copyright
	(cd docs/manual/;       tar cf - *.html *.png  *.css) | \
                                (cd $(DOCDIR)/html; tar xf   -)
	(cd $(TMPTOP)/$(LIBDIR); rm -rf docs;)
	chmod ugo+x 		$(TMPTOP)/$(LIBDIR)/cweb2html/cweb2html
	chmod ugo+x 		$(TMPTOP)/$(LIBDIR)/cweb2html/makemake.pl
	chmod ugo+x 		$(TMPTOP)/$(LIBDIR)/makemap
	chmod ugo+x 		$(TMPTOP)/$(LIBDIR)/makeseg/makeseg
#	mkdir -p $(TMPTOP)/usr/share/texmf/tex/latex
#	cd $(TMPTOP)/usr/share/texmf/tex/latex && \
#	  ln -s ../../../latex2html/texinputs latex2html
##	patch $(TMPTOP)/usr/bin/latex2html debian/latex2html.patch
	$(install_file)         debian/docentry        $(DOCBASE)/$(package)
	$(install_file)		debian/conffiles       $(TMPTOP)/DEBIAN/conffiles
	$(install_program)      debian/postinst        $(TMPTOP)/DEBIAN/postinst
	$(install_program)      debian/postrm          $(TMPTOP)/DEBIAN/postrm
	$(install_program)      debian/prerm           $(TMPTOP)/DEBIAN/prerm
	$(install_program)      debian/preinst         $(TMPTOP)/DEBIAN/preinst
	dpkg-gencontrol -isp
	chown -R root.root	$(TMPTOP)
	chmod -R go=rX		$(TMPTOP)
	dpkg --build		$(TMPTOP) ..
	touch stamp-binary

define checkdir
	test -f debian/rules -a -f latex2html.pin
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

.PHONY: binary binary-arch binary-indep clean checkroot

## latex2html 2008-debian1

=== debian/changelog ===
latex2html (2008-debian1-5) unstable; urgency=low

  * Fixed download location in debian/copyright, thanks to Adrian Bunk
    (Closes: #591047)
  * debian/control: Standards-Version: 3.9.1
  * Added debian/watch
  * Added lintian override to state that repackaged version is just an
    exception

 -- Roland Stigge <stigge@antcom.de>  Sat, 31 Jul 2010 19:29:44 +0200

latex2html (2008-debian1-4) unstable; urgency=low

  * Added eurosym support, thanks to Jorgen Schaefer <forcer@debian.org>
    (Closes: #163479)
  * Added README.Debian to document the hyperref package being
    missing-by-design (Closes: #542096)
  * Added patch to replace multiline matching option $* with "m" option on
    matching because latest perl gave warnings on latex2html startup

 -- Roland Stigge <stigge@antcom.de>  Sat, 24 Jul 2010 19:09:16 +0200

latex2html (2008-debian1-3) unstable; urgency=low

  * Removed url.sty from binary package (Closes: #589702)
  * Separated patches in debian/patches/

 -- Roland Stigge <stigge@antcom.de>  Wed, 21 Jul 2010 20:49:47 +0200

latex2html (2008-debian1-2) unstable; urgency=low

  * Moved to new source format 3.0 (quilt), separated and documented patches
  * debian/control: Standards-Version: 3.9.0
  * Added pstoimg.1 via pod2man
  * Added patch to pod2man to fix gray background detection in pstoimg, thanks
    to Diab Jerius <djerius@cfa.harvard.edu> (Closes: #291420)
  * Added patch to support spaces in filenames, thanks to Mazen NEIFER
    <mazen.neifer@wanadoo.fr> (Closes: #234879)

 -- Roland Stigge <stigge@antcom.de>  Sun, 18 Jul 2010 18:48:39 +0200

latex2html (2008-debian1-1) unstable; urgency=low

  * Repackaged upstream: Upstream Ross Moore <ross@ics.mq.edu.au> didn't make a
    new release but instructed me how to remove certain files so that we can
    comply with Debian licensing standards:
    - Removed cweb2html/
    - Removed docs/changebar*
  * debian/control:
    - Moved to main
    - Standards-Version: 3.8.3
    - Depends and Build-Depends: texlive-latex-extra (for changebar.sty)

 -- Roland Stigge <stigge@antcom.de>  Sun, 17 Jan 2010 15:49:40 +0100

latex2html (2008-3) unstable; urgency=low

  * Extended debian/copyright to address ftpmaster's licensing concerns

 -- Roland Stigge <stigge@antcom.de>  Sun, 17 Jan 2010 15:24:20 +0100

latex2html (2008-2) unstable; urgency=low

  * New build environment includes pstoimg (Closes: #540310)
  * Also, @IMAGE_TYPES is set to "png,gif" now (Closes: #540197)

 -- Roland Stigge <stigge@antcom.de>  Mon, 10 Aug 2009 21:56:41 +0200

latex2html (2008-1) unstable; urgency=low

  * New upstream release
    - New version is licensed under GPLv2 (Closes: #221703, #521940)
    - debian/control: Standards-Version: 3.8.2
    - debian/control: Section: tex (moving from non-free)

 -- Roland Stigge <stigge@antcom.de>  Wed, 01 Jul 2009 20:00:11 +0200

latex2html (2002-2-1-20050114-6) unstable; urgency=low

  * versions/math.pl: $mathend_mark = ""; (Closes: #424897)
  * debian/control:
    - Moved from tetex to texlive, removing all references to tetex
      (Closes: #349666)
    - Fixed description ("that that") (Closes: #442521)
    - Standards-Version: 3.7.2
  * latex2html.1: Typo fixes (Closes: #412621)
  * styles/abnt.perl: Added abntex style (Closes: #367114)
  * pstoimg.pin: Prevent pnmtoimg from using rgb.txt (Closes: #368693)

 -- Roland Stigge <stigge@antcom.de>  Wed, 03 Oct 2007 23:02:54 +0200

latex2html (2002-2-1-20050114-5) unstable; urgency=low

  * debian/rules: Moved files from /usr/share/texmf-tetex/ to .../texmf/
    (Closes: #346571)
  * debian/control:
    - Moved from Suggests: to Depends: perl-doc (Closes: #361901)
    - Added dependency alternatives to texlive (Closes: #349666)
    - Added homepage link (Closes: #355714)
  * latex2html.pin: Removed Nikos Drakos' homepage link (Closes: #361901)

 -- Roland Stigge <stigge@antcom.de>  Sun, 16 Apr 2006 14:01:44 +0200

latex2html (2002-2-1-20050114-4) unstable; urgency=low

  * pstoimg.pin: Corrected "Ghostscipt" typos (Closes: #345357)

 -- Roland Stigge <stigge@antcom.de>  Mon,  2 Jan 2006 15:12:02 +0100

latex2html (2002-2-1-20050114-3) unstable; urgency=low

  * debian/{postinst,prerm}: Removed all /usr/doc handling (Closes: #322832)

 -- Roland Stigge <stigge@antcom.de>  Sat, 27 Aug 2005 15:17:47 +0200

latex2html (2002-2-1-20050114-2) unstable; urgency=low

  * Upload of newer upstream version from experimental to sid
  * texinputs/html.sty and config/config.pl: Applied patches for compatibility
    with tetex 3.0 (Closes: #320187)
  * debian/control: Standards-Version: 3.6.2
  * debian/copyright: Updated download location(s)
  * latex2html.1: Fixed groff_man syntax error
  * debian/postinst: Fixed bashism

 -- Roland Stigge <stigge@antcom.de>  Wed, 10 Aug 2005 21:30:34 +0200

latex2html (2002-2-1-20050114-1) experimental; urgency=low

  * New upstream release: Current version from CVS

 -- Roland Stigge <stigge@antcom.de>  Sat, 28 May 2005 10:26:18 +0200

latex2html (2002-2-1-10) unstable; urgency=low

  * Applied patch to enable multiple running instances of pstoimg
    thanks to Holger Ruckdeschel (Closes: #298329)

 -- Roland Stigge <stigge@antcom.de>  Sun, 20 Mar 2005 14:17:32 +0100

latex2html (2002-2-1-9) unstable; urgency=low

  * debian/{postinst,prerm}: Changed "command -v" to "which" (Closes: #292980)

 -- Roland Stigge <stigge@antcom.de>  Sun, 20 Feb 2005 19:10:02 +0100

latex2html (2002-2-1-8) unstable; urgency=low

  * debian/control:
    - Removed references to netpbm-nonfree because ppmtogif is in netpbm now
    - Fixed Description: describing GIF support as disabled (which was wrong),
      thanks to Jonas Meurer (Closes: #269447)

 -- Roland Stigge <stigge@antcom.de>  Wed,  1 Sep 2004 20:37:05 +0200

latex2html (2002-2-1-7) unstable; urgency=low

  * debian/control: Added Depends: tetex-bin (>= 1.0.7+20001218), tetex-extra
    to ensure presence of working dvips (Closes: #245376)
  * debian/copyright: Refined copyright notice


=== debian/control ===
Source: latex2html
Section: tex
Priority: optional
Maintainer: Roland Stigge <stigge@antcom.de>
Build-Depends-Indep: perl, perl-doc, netpbm (>= 2:9.20), texlive-base-bin, ghostscript-x, texlive-latex-recommended, texlive-latex-extra, patch
Standards-Version: 3.9.1

Package: latex2html
Architecture: all
Depends: perl, netpbm (>= 2:9.20), ghostscript-x, texlive-base-bin, texlive-latex-recommended, texlive-fonts-recommended, texlive-latex-extra, perl-doc
Description: LaTeX to HTML translator
 LaTeX2HTML is a conversion tool that converts documents written
 in LaTeX to HTML format. In addition, it offers an easy migration
 path towards authoring complex hypermedia documents using familiar
 word-processing concepts. 
 .
 LaTeX2HTML replicates the basic structure of a LaTeX document as a
 set of interconnected HTML files which can be explored using
 automatically generated navigation panels. The cross-references,
 citations, footnotes, the table of contents and the lists of figures
 and tables, are also translated into hypertext links. Formatting
 information which has equivalent ``tags'' in HTML (lists, quotes,
 paragraph breaks, type styles, etc.) is also converted
 appropriately. The remaining heavily formatted items such as
 mathematical equations, pictures or tables are converted to images
 which are placed automatically at the correct positions in the final
 HTML document.
 .
 LaTeX2HTML extends LaTeX by supporting arbitrary hypertext links and
 symbolic cross-references between evolving remote documents. It also
 allows the specification of conditional text and the inclusion of raw
 HTML commands. These hypermedia extensions to LaTeX are available as
 new commands and environments from within a LaTeX document.
 .
 Pstoimg, the part of latex2html that produces bitmap images from the
 LaTeX source, can support both GIF and PNG format.
 .
  Hompage: http://www.latex2html.org/

=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,6 @@
 
 install_file   = /usr/bin/install -p    -o root -g root  -m 644
 install_program= /usr/bin/install -p    -o root -g root  -m 755
-install_game   = /usr/bin/install -p    -o root -g games -m 2755
 make_directory = /usr/bin/install -p -d -o root -g root  -m 755
 
 package = $(shell grep Source debian/control | sed 's/^Source: //')
@@ -38,7 +37,7 @@
 BINDIR      := $(PREFIX)/bin
 LIBDIR      := $(PREFIX)/share/latex2html
 ICONPATH    := $(PREFIX)/share/latex2html/icons
-ICONSTORAGE := /var/www/$(ICONPATH)
+TEXPATH     := $(PREFIX)/share/texmf/tex/latex/html
 
 # Location of the source dir
 SRCTOP := $(shell if [ "$$PWD" != "" ]; then echo $$PWD; else pwd; fi;)
@@ -46,24 +45,20 @@
 DOCDIR 	       := $(TMPTOP)/usr/share/doc/$(package)
 DOCBASE        := $(TMPTOP)/usr/share/doc-base
 MANDIR         := $(TMPTOP)/usr/share/man/man1
-OLDSHADOWDIR   := $(TMPTOP)/var/www/usr/lib
-SHADOW_DIR     := $(TMPTOP)/var/www/usr/share/$(package)/
-SHADOW_ICONDIR := $(TMPTOP)/var/www/usr/share/$(package)/icons
 
 CONVERT_CMD:= '../latex2html -test_mode -no_math -html_version 4.0,math,frame -accent_images textrm -scalable_fonts'
 all build: stamp-build
 stamp-build:
 	$(checkdir)
-	rm -f texinputs/url.sty
 	cd docs && ln -sf ../texinputs/html*.sty .
 	-test -f stamp-configure || $(MAKE) -f debian/rules configure
 	$(MAKE)
 	mkdir -p docs/manual
 	$(MAKE) -C docs  -f Makefile.frames \
-              L2H=$(CONVERT_CMD) \
+	      L2H=$(CONVERT_CMD) \
 	      LATEX2HTMLDIR=$(SRCTOP) manual.dvi;
 	$(MAKE) -C docs  -f Makefile.frames \
-              L2H=$(CONVERT_CMD) \
+	      L2H=$(CONVERT_CMD) \
 	      LATEX2HTMLDIR=$(SRCTOP) manual.ps;
 	$(MAKE) -C docs  -f Makefile.frames \
               L2H=$(CONVERT_CMD) \
@@ -82,15 +77,15 @@
                     --libdir=$(LIBDIR) \
                     --with-perl=$(PERL) \
                     --with-iconpath=$(ICONPATH) \
-                    --with-iconstorage=$(ICONSTORAGE) \
+		    --with-texpath=$(TEXPATH) \
                      && touch stamp-configure
 
 clean:
 	$(checkdir)
 	rm -f  $(FILES_TO_CLEAN) $(STAMPS_TO_CLEAN) docs/html*.sty
 	rm -rf $(DIRS_TO_CLEAN)
-	-$(MAKE) -C docs clean #htmlclean
-	-$(MAKE) distclean
+	[ ! -f docs/Makefile ] || $(MAKE) -C docs clean #htmlclean
+	[ ! -f Makefile ] || $(MAKE) distclean
 	rm -f core `find . \( -name '*.orig' -o -name '*.rej' -o \
 	  -name '*~' -o -name '*.bak' -o -name '#*#' -o \
 	  -name '.*.orig' -o -name '.*.rej' -o -name '.SUMS' -o \
@@ -109,43 +104,40 @@
 	$(make_directory)	$(DOCDIR)/html
 	$(make_directory)       $(MANDIR)
 	$(make_directory)	$(DOCBASE)
-	$(make_directory)       $(SHADOW_ICONDIR)
-	$(make_directory)       $(OLDSHADOWDIR)
 	$(make_directory)	$(TMPTOP)/DEBIAN
 	$(make_directory)	$(TMPTOP)/etc
 	$(install_file)		debian/changelog     $(DOCDIR)/changelog.Debian
-	$(install_file)		debian/README.Debian $(DOCDIR)/README.Debian
 	$(install_file)         debian/buildinfo     $(DOCDIR)/buildinfo.Debian
 	$(MAKE)                 install DESTDIR=$(TMPTOP) INSTALLING_DEBIAN=1
-	(cd $(OLDSHADOWDIR);    ln -s ../share/$(package) .)
 	#(cd $(TMPTOP)/$(LIBDIR)/docs; $(MAKE) clean htmlclean)
 	(cd $(TMPTOP)/$(LIBDIR); \
             mv l2hconf.pm       $(TMPTOP)/etc/latex2html.conf; \
             ln -s               /etc/latex2html.conf l2hconf.pm )
-	(cd $(SHADOW_ICONDIR);  rm -f *)
 	$(install_file)         dot.latex2html-init    $(DOCDIR)/
 	$(install_file)         Changes    	       $(DOCDIR)/
 	$(install_file)         docs/manual.dvi        $(DOCDIR)/
 	$(install_file)         docs/manual.ps         $(DOCDIR)/
-	$(install_file)         README*                $(DOCDIR)/
-##	$(install_file)         latex2html.1           $(MANDIR)
-##	$(install_file)         texexpand.1            $(MANDIR)
+	$(install_file)         debian/README.foilhtml.Debian $(DOCDIR)/
+	$(install_file)         debian/README.Debian $(DOCDIR)/
+	$(install_file)         latex2html.1           $(MANDIR)
+	$(install_file)         texexpand.1            $(MANDIR)
 	pod2man pstoimg         > $(MANDIR)/pstoimg.1
+	rm $(TMPTOP)/$(TEXPATH)/url.sty
 	-gzip -9fvr		$(DOCDIR)
 	-gzip -9fvr		$(MANDIR)
 	(cd $(DOCDIR);          ln -s Changes.gz       changelog.gz;)
 	$(install_file)         debian/copyright       $(DOCDIR)/copyright
+	$(make_directory)	$(TMPTOP)/usr/share/lintian/overrides
+	$(install_file)		debian/source.lintian-overrides $(TMPTOP)/usr/share/lintian/overrides/latex2html
 	(cd docs/manual/;       tar cf - *.html *.png  *.css) | \
                                 (cd $(DOCDIR)/html; tar xf   -)
 	(cd $(TMPTOP)/$(LIBDIR); rm -rf docs;)
-	chmod ugo+x 		$(TMPTOP)/$(LIBDIR)/cweb2html/cweb2html
-	chmod ugo+x 		$(TMPTOP)/$(LIBDIR)/cweb2html/makemake.pl
 	chmod ugo+x 		$(TMPTOP)/$(LIBDIR)/makemap
 	chmod ugo+x 		$(TMPTOP)/$(LIBDIR)/makeseg/makeseg
 #	mkdir -p $(TMPTOP)/usr/share/texmf/tex/latex
 #	cd $(TMPTOP)/usr/share/texmf/tex/latex && \
 #	  ln -s ../../../latex2html/texinputs latex2html
-##	patch $(TMPTOP)/usr/bin/latex2html debian/latex2html.patch
+	patch $(TMPTOP)/usr/bin/latex2html debian/latex2html.patch
 	$(install_file)         debian/docentry        $(DOCBASE)/$(package)
 	$(install_file)		debian/conffiles       $(TMPTOP)/DEBIAN/conffiles
 	$(install_program)      debian/postinst        $(TMPTOP)/DEBIAN/postinst

## latex2html 2015-debian1

=== debian/changelog ===
latex2html (2015-debian1-1) unstable; urgency=medium

  * New upstream release (Closes: #647433)
    - Version 2015, take from ctan, repackaged according to the procedure
      as documented for 2008
  * Add patch by Hamish <hamish_b@yahoo.com> to 0-pad filenames on
    option -multipage (Closes: #247150)

 -- Roland Stigge <stigge@antcom.de>  Tue, 19 Jan 2016 18:15:05 +0100

latex2html (2008-debian1-10.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "FTBFS with perl 5.22: Can't use 'defined(@array)'":
    add patch perl5.22-defined-array.patch:
    drop defined().
    (Closes: #789731)
  * Fix "regexp deprecation warnings with perl 5.22":
    add patch perl5.22-unescaped-left-braces.patch:
    escape literal braces.
    (Closes: #789732)

 -- gregor herrmann <gregoa@debian.org>  Sun, 13 Sep 2015 15:32:38 +0200

latex2html (2008-debian1-10) unstable; urgency=low

  * Use DEP5 for debian/copyright, adjust license for L2hos/ (Closes: #713855)
    Thanks to Sam Geeraerts

 -- Roland Stigge <stigge@antcom.de>  Tue, 25 Jun 2013 21:35:18 +0200

latex2html (2008-debian1-9) unstable; urgency=low

  * debian/control: Standards-Version: 3.9.4

 -- Roland Stigge <stigge@antcom.de>  Wed, 15 May 2013 21:54:03 +0200

latex2html (2008-debian1-8) experimental; urgency=low

  * debian/control: Move Homepage from Description to own Source field
    (Closes: #700452)

 -- Roland Stigge <stigge@antcom.de>  Sat, 23 Feb 2013 16:03:31 +0100

latex2html (2008-debian1-7) unstable; urgency=low

  * Use dh_installtex instead of texhash (Closes: #669383)

 -- Roland Stigge <stigge@antcom.de>  Thu, 19 Apr 2012 17:15:40 +0200

latex2html (2008-debian1-6) unstable; urgency=low

  * prerm: Check for /var/www/usr/share/latex2html/icons before removing files
    (Closes: #666128)
  * debian/control: Standards-Version: 3.9.3
  * debian/compat: 9
  * debian/rules: dh style rules
  * Added patch to prevent perl warnings about deprecated "defined(%hash)"

 -- Roland Stigge <stigge@antcom.de>  Sun, 08 Apr 2012 13:19:06 +0200

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,13 @@
 Section: tex
 Priority: optional
 Maintainer: Roland Stigge <stigge@antcom.de>
-Build-Depends-Indep: perl, perl-doc, netpbm (>= 2:9.20), texlive-base-bin, ghostscript-x, texlive-latex-recommended, texlive-latex-extra, patch
-Standards-Version: 3.9.1
+Build-Depends-Indep: perl, perl-doc, netpbm (>= 2:9.20), texlive-base-bin, ghostscript-x, texlive-latex-recommended, texlive-latex-extra, patch, debhelper (>= 9), tex-common
+Standards-Version: 3.9.6
+Hompage: http://www.latex2html.org/
 
 Package: latex2html
 Architecture: all
-Depends: perl, netpbm (>= 2:9.20), ghostscript-x, texlive-base-bin, texlive-latex-recommended, texlive-fonts-recommended, texlive-latex-extra, perl-doc
+Depends: ${misc:Depends}, perl, netpbm (>= 2:9.20), ghostscript-x, texlive-base-bin, texlive-latex-recommended, texlive-fonts-recommended, texlive-latex-extra, perl-doc
 Description: LaTeX to HTML translator
  LaTeX2HTML is a conversion tool that converts documents written
  in LaTeX to HTML format. In addition, it offers an easy migration
@@ -34,5 +35,3 @@
  .
  Pstoimg, the part of latex2html that produces bitmap images from the
  LaTeX source, can support both GIF and PNG format.
- .
-  Hompage: http://www.latex2html.org/

=== debian/rules ===
#!/usr/bin/make -f

LIBDIR      := /usr/share/latex2html
TEXPATH     := /usr/share/texmf/tex/latex/html
TMPTOP      := $(CURDIR)/debian/latex2html
DOCDIR 	    := $(TMPTOP)/usr/share/doc/latex2html

CONVERT_CMD := '../latex2html -test_mode -no_math -html_version 4.0,math,frame -accent_images textrm -scalable_fonts'

%:
	dh $@ --with tex

override_dh_auto_configure:
	./configure --verbose --prefix=/usr \
	            --shlibdir=$(LIBDIR) \
                    --libdir=$(LIBDIR) \
                    --with-perl=/usr/bin/perl \
                    --with-iconpath=/usr/share/latex2html/icons \
		    --with-texpath=$(TEXPATH)

override_dh_auto_build:
	cd docs && ln -sf ../texinputs/html*.sty .
	$(MAKE)
	mkdir -p docs/manual
	$(MAKE) -C docs -f Makefile.frames L2H=$(CONVERT_CMD) \
	      LATEX2HTMLDIR=$(CURDIR) manual.dvi manual.ps manual.html

override_dh_auto_clean:
	dh_auto_clean
	$(MAKE) -C docs clean
	rm -rf docs/manual

override_dh_auto_install:
	$(MAKE) install DESTDIR=$(TMPTOP) INSTALLING_DEBIAN=1
	(cd $(TMPTOP)/$(LIBDIR); \
            mv l2hconf.pm       $(TMPTOP)/etc/latex2html.conf; \
            ln -s               /etc/latex2html.conf l2hconf.pm )
	pod2man pstoimg         > $(TMPTOP)/usr/share/man/man1/pstoimg.1
	rm $(TMPTOP)/$(TEXPATH)/url.sty
	(cd docs/manual/;       tar cf - *.html *.png  *.css) | \
                                (cd $(DOCDIR)/html; tar xf   -)
	rm -rf $(TMPTOP)/$(LIBDIR)/docs
	patch $(TMPTOP)/usr/bin/latex2html debian/latex2html.patch
	chmod a+x $(TMPTOP)/$(LIBDIR)/makemap
	chmod a+x $(TMPTOP)/$(LIBDIR)/makeseg/makeseg

## latex2html 2018-debian1

=== debian/changelog ===
latex2html (2018-debian1-1) unstable; urgency=low

  * QA upload.
  * New upstream release
    (Closes: #188024, #834420, #144034, #310702, #612126, #834423, #827187)
  * Removed patches applied upstream, refreshed debian-install.patch
  * Corrected typo in Homepage-Header in debian/control. (Closes: #827285)

 -- Carsten Leonhardt <leo@debian.org>  Thu, 01 Mar 2018 12:36:03 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Source: latex2html
 Section: tex
 Priority: optional
-Maintainer: Roland Stigge <stigge@antcom.de>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends-Indep: perl, perl-doc, netpbm (>= 2:9.20), texlive-base-bin, ghostscript-x, texlive-latex-recommended, texlive-latex-extra, patch, debhelper (>= 9), tex-common
 Standards-Version: 3.9.6
-Hompage: http://www.latex2html.org/
+Homepage: http://www.latex2html.org/
+Vcs-Browser: https://salsa.debian.org/debian/latex2html
+Vcs-Git: https://salsa.debian.org/debian/latex2html.git
 
 Package: latex2html
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -29,6 +29,7 @@
 	dh_auto_clean
 	$(MAKE) -C docs clean
 	rm -rf docs/manual
+	rm -f docs/*.stamp
 
 override_dh_auto_install:
 	$(MAKE) install DESTDIR=$(TMPTOP) INSTALLING_DEBIAN=1
@@ -36,7 +37,6 @@
             mv l2hconf.pm       $(TMPTOP)/etc/latex2html.conf; \
             ln -s               /etc/latex2html.conf l2hconf.pm )
 	pod2man pstoimg         > $(TMPTOP)/usr/share/man/man1/pstoimg.1
-	rm $(TMPTOP)/$(TEXPATH)/url.sty
 	(cd docs/manual/;       tar cf - *.html *.png  *.css) | \
                                 (cd $(DOCDIR)/html; tar xf   -)
 	rm -rf $(TMPTOP)/$(LIBDIR)/docs

=== debian/watch ===
version=3
http://ftp.gwdg.de/pub/ctan/support/latex2html/latex2html-(.*)\.tar\.gz

## latex2html 2018.2-debian1

=== debian/changelog ===
latex2html (2018.2-debian1-1) unstable; urgency=medium

  * QA upload.
  * New upstream release
  * Add patch to fix unescaped left brace in regex. (Closes: #903736)
  * Upstream source location changed to github repository
  * debian/control: Standards-Version: 4.1.3
  * debian/compat: 11

 -- Carsten Leonhardt <leo@debian.org>  Mon, 16 Jul 2018 20:20:32 +0200

latex2html (2018-debian1-3) unstable; urgency=medium

  * QA upload.
  * Better reproducibility by removing variables containing build
    directory location.
  * debian/control: Standards-Version: 4.1.3
  * debian/compat: 10
  * Add Build-Depends and Recommends on dvipng.

 -- Carsten Leonhardt <leo@debian.org>  Mon, 12 Mar 2018 15:14:26 +0100

latex2html (2018-debian1-2) unstable; urgency=low

  * QA upload.
  * Set FORCE_SOURCE_DATE = 1 to make dvips output (partially)
    reproducible
  * debian/doc-base: Fix duplicate word found by lintian and reformat
  * Suppress creation of file latex2html.orig that erroneously went into
    the package
  * Remove external images from manual
  * Use https in debian/watch

 -- Carsten Leonhardt <leo@debian.org>  Fri, 02 Mar 2018 17:13:24 +0100

=== debian/control ===
--- 
+++ 
@@ -2,20 +2,39 @@
 Section: tex
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends-Indep: perl, perl-doc, netpbm (>= 2:9.20), texlive-base-bin, ghostscript-x, texlive-latex-recommended, texlive-latex-extra, patch, debhelper (>= 9), tex-common
-Standards-Version: 3.9.6
+Build-Depends-Indep: debhelper (>= 11),
+                     dvipng,
+                     ghostscript-x,
+                     netpbm (>= 2:9.20),
+                     patch,
+                     perl,
+                     perl-doc,
+                     tex-common,
+                     texlive-base-bin,
+                     texlive-latex-extra,
+                     texlive-latex-recommended
+Standards-Version: 4.1.5
 Homepage: http://www.latex2html.org/
 Vcs-Browser: https://salsa.debian.org/debian/latex2html
 Vcs-Git: https://salsa.debian.org/debian/latex2html.git
 
 Package: latex2html
 Architecture: all
-Depends: ${misc:Depends}, perl, netpbm (>= 2:9.20), ghostscript-x, texlive-base-bin, texlive-latex-recommended, texlive-fonts-recommended, texlive-latex-extra, perl-doc
+Depends: ghostscript-x,
+         netpbm (>= 2:9.20),
+         perl,
+         perl-doc,
+         texlive-base-bin,
+         texlive-fonts-recommended,
+         texlive-latex-extra,
+         texlive-latex-recommended,
+         ${misc:Depends}
+Recommends: dvipng
 Description: LaTeX to HTML translator
  LaTeX2HTML is a conversion tool that converts documents written
  in LaTeX to HTML format. In addition, it offers an easy migration
  path towards authoring complex hypermedia documents using familiar
- word-processing concepts. 
+ word-processing concepts.
  .
  LaTeX2HTML replicates the basic structure of a LaTeX document as a
  set of interconnected HTML files which can be explored using

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,12 @@
 DOCDIR 	    := $(TMPTOP)/usr/share/doc/latex2html
 
 CONVERT_CMD := '../latex2html -test_mode -no_math -html_version 4.0,math,frame -accent_images textrm -scalable_fonts'
+
+# see https://tests.reproducible-builds.org/debian/issues/unstable/timestamps_in_ps_generated_by_dvips_issue.html
+export FORCE_SOURCE_DATE := 1
+
+# make debhelper compalt level 11 work
+export PERL5LIB=.
 
 %:
 	dh $@ --with tex
@@ -40,6 +46,13 @@
 	(cd docs/manual/;       tar cf - *.html *.png  *.css) | \
                                 (cd $(DOCDIR)/html; tar xf   -)
 	rm -rf $(TMPTOP)/$(LIBDIR)/docs
-	patch $(TMPTOP)/usr/bin/latex2html debian/latex2html.patch
+	patch --no-backup-if-mismatch $(TMPTOP)/usr/bin/latex2html debian/latex2html.patch
 	chmod a+x $(TMPTOP)/$(LIBDIR)/makemap
 	chmod a+x $(TMPTOP)/$(LIBDIR)/makeseg/makeseg
+	# get srcdir from cfgcache.pm and remove the lines containing it from latex2html for reproducibility
+	# the lines only appear in test_mode, which is disabled by the patch above
+	fgrep -v `fgrep srcdir $(TMPTOP)/$(LIBDIR)/cfgcache.pm | sed "s/.*=.*'\(.*\)'.*/\1/"` $(TMPTOP)/usr/bin/latex2html > $(TMPTOP)/usr/bin/latex2html.reproducible
+	chmod --reference=$(TMPTOP)/usr/bin/latex2html $(TMPTOP)/usr/bin/latex2html.reproducible
+	mv $(TMPTOP)/usr/bin/latex2html.reproducible $(TMPTOP)/usr/bin/latex2html
+	# now remove srcdir from cfgcache.pm too
+	sed -i '/srcdir/d' $(TMPTOP)/$(LIBDIR)/cfgcache.pm

## latex2html 2018.3-debian1

=== debian/changelog ===
latex2html (2018.3-debian1-3) unstable; urgency=medium

  * Cherry pick fix for broken tables from upstream. (Closes: #899306)
  * Add Gitlab CI tests.
  * Fix spelling errors found by lintian.

 -- Carsten Leonhardt <leo@debian.org>  Thu, 29 Nov 2018 17:33:44 +0100

latex2html (2018.3-debian1-2) unstable; urgency=medium

  * Include PDF version of the manual.
  * Depend on poppler-utils instead of only recommending it.
  * Removed obsolete maintainer scripts.

 -- Carsten Leonhardt <leo@debian.org>  Tue, 25 Sep 2018 14:01:39 +0200

latex2html (2018.3-debian1-1) unstable; urgency=medium

  * Adopt package. (closes: #812631)
  * New upstream release. (Closes: #111441)
  * debian/control: Standards-Version: 4.2.1
  * Recommend and build-depend on poppler-utils to produce SVG-images
    using pdftocairo

 -- Carsten Leonhardt <leo@debian.org>  Mon, 24 Sep 2018 01:05:41 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: latex2html
 Section: tex
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Carsten Leonhardt <leo@debian.org>
 Build-Depends-Indep: debhelper (>= 11),
                      dvipng,
+		     poppler-utils,
                      ghostscript-x,
                      netpbm (>= 2:9.20),
                      patch,
@@ -13,8 +14,8 @@
                      texlive-base-bin,
                      texlive-latex-extra,
                      texlive-latex-recommended
-Standards-Version: 4.1.5
-Homepage: http://www.latex2html.org/
+Standards-Version: 4.2.1
+Homepage: https://www.latex2html.org/
 Vcs-Browser: https://salsa.debian.org/debian/latex2html
 Vcs-Git: https://salsa.debian.org/debian/latex2html.git
 
@@ -24,6 +25,7 @@
          netpbm (>= 2:9.20),
          perl,
          perl-doc,
+         poppler-utils,
          texlive-base-bin,
          texlive-fonts-recommended,
          texlive-latex-extra,

=== debian/rules ===
--- 
+++ 
@@ -28,8 +28,8 @@
 	cd docs && ln -sf ../texinputs/html*.sty .
 	$(MAKE)
 	mkdir -p docs/manual
-	$(MAKE) -C docs -f Makefile.frames L2H=$(CONVERT_CMD) \
-	      LATEX2HTMLDIR=$(CURDIR) manual.dvi manual.ps manual.html
+	$(MAKE) -C docs -f Makefile L2H=$(CONVERT_CMD) \
+	      LATEX2HTMLDIR=$(CURDIR) manual.dvi manual.ps manual.pdf manual.html
 
 override_dh_auto_clean:
 	dh_auto_clean
